List data approvals

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /case/{caseId}/oc-approvals

Lists the case's data approvals, optionally for one data-provider type.

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • caseId string Required

    Id of the case

Query parameters

  • dataProviderType string

    Filter approval rows by data provider type

    Values are Device, UserEmailDataProvider, CaseFileProvider, FinancialAccountProvider, LegalDocumentProvider, DiscordUserProvider, RedditUserProvider, LinkedInUserProvider, or AiChatProvider.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data array[object] Required
      Hide data attributes Show data attributes object
      • createdAt string(date-time) Required
      • updatedAt string(date-time) Required
      • id string Required
      • dataProviderType string Required

        Values are Device, UserEmailDataProvider, CaseFileProvider, FinancialAccountProvider, LegalDocumentProvider, DiscordUserProvider, RedditUserProvider, LinkedInUserProvider, or AiChatProvider.

      • dataProvider string | null Required
      • mode string Required

        Values are approve_all or approve_subset.

      • individualDataIds array[string] Required
      • case string | null Required
      • originatingOrg string | null Required
      • opposingCouncilOrg string | null Required
      • approvedBy string | null Required
      • approvedAt string(date-time) Required
    • statusCode number Required
    • timestamp string(date-time) Required
GET /case/{caseId}/oc-approvals
curl \
 --request GET 'http://api.example.com/case/{caseId}/oc-approvals' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "organization: string"
Response examples (200)
{
  "data": [
    {
      "createdAt": "2026-01-15T14:30:00.000Z",
      "updatedAt": "2026-01-15T14:30:00.000Z",
      "id": "507f1f77bcf86cd799439011",
      "dataProviderType": "Device",
      "dataProvider": "507f1f77bcf86cd799439014",
      "mode": "approve_all",
      "individualDataIds": [
        "string"
      ],
      "case": "507f1f77bcf86cd799439011",
      "originatingOrg": "507f1f77bcf86cd799439016",
      "opposingCouncilOrg": "507f1f77bcf86cd799439015",
      "approvedBy": "507f1f77bcf86cd799439013",
      "approvedAt": "2026-01-16T10:00:00.000Z"
    }
  ],
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}